Bug 1503439 - Swiss-German (legacy) keyboard not properly working in Anaconda
Summary: Swiss-German (legacy) keyboard not properly working in Anaconda
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 27
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-18 06:45 UTC by Johannes
Modified: 2018-11-30 23:18 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:18:54 UTC


Attachments (Terms of Use)
ifcfg (6.63 KB, text/plain)
2017-10-18 19:02 UTC, Johannes
no flags Details
lvm.log (959.91 KB, text/plain)
2017-10-18 19:03 UTC, Johannes
no flags Details
packaging (208 bytes, text/plain)
2017-10-18 19:03 UTC, Johannes
no flags Details
program.log (80.76 KB, text/plain)
2017-10-18 19:04 UTC, Johannes
no flags Details
sensitive-info.log (106 bytes, text/plain)
2017-10-18 19:04 UTC, Johannes
no flags Details
storage.log (300.35 KB, text/plain)
2017-10-18 19:05 UTC, Johannes
no flags Details

Description Johannes 2017-10-18 06:45:39 UTC
Description of problem:
During installation using a Swiss-German keyboard and selecting Swiss german legacy the keys [] and {} are not working. This could cause novice users to understand that the keyboard is not understood by fedora

Version-Release number of selected component (if applicable):


How reproducible:
Connect a swiss-german keyboard and boot from live media and start Anaconda

Steps to Reproduce:
1.In anaconda select Swiss-German (legacy) as keyboard
2.Select the preview pane and type AltGr+ΓΌ
3.

Actual results:
Nothing shows

Expected results:
[ shows

Additional info:
http://blog.crox.net/archives/17-Swiss-Keyboard-Layout-in-recent-xorg-AltGr-doesnt-work.html
https://en.wikipedia.org/wiki/QWERTZ#Switzerland_.28German.2C_French.2C_Italian.2C_Romansh.29.2C_Liechtenstein.2C_Luxembourg

Comment 1 Johannes 2017-10-18 07:05:40 UTC
Important to know that once Anaconda and the live environment is left and the system is booted into fedora the keyboard works as expected. So the problem probably is in the keyboard layouts shipped with live.

Comment 2 Jiri Konecny 2017-10-18 07:12:57 UTC
Hello,

Could you please provide us installation logs as plain text files. You can find them in /tmp/*.log.

Thank you,
Jirka

Comment 3 Johannes 2017-10-18 19:02:26 UTC
Created attachment 1340342 [details]
ifcfg

Comment 4 Johannes 2017-10-18 19:03:18 UTC
Created attachment 1340343 [details]
lvm.log

Comment 5 Johannes 2017-10-18 19:03:49 UTC
Created attachment 1340344 [details]
packaging

Comment 6 Johannes 2017-10-18 19:04:09 UTC
Created attachment 1340345 [details]
program.log

Comment 7 Johannes 2017-10-18 19:04:53 UTC
Created attachment 1340346 [details]
sensitive-info.log

Comment 8 Johannes 2017-10-18 19:05:26 UTC
Created attachment 1340347 [details]
storage.log

Comment 9 Ben Cotton 2018-11-27 13:57:13 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2018-11-30 23:18:54 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.